# Language should be added in the same order as in the language id
imports:
  - { resource: "EXT:drbeckmann_setup/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_products/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_api/Configuration/Routes/Default.yaml" }
rootPageId: 201
base: 'https://www.dr-beckmann.com/'
baseVariants:
  -
    base: 'https://qa.dr-beckmann.com/'
    condition: 'applicationContext == "Production/Integration"'
  -
    base: 'https://dev.dr-beckmann.com/'
    condition: 'applicationContext == "Development/Test"'
  -
    base: '%env(SITE_CONFIG_BASE_URL)%/'
    condition: 'applicationContext == "%env(SITE_CONFIG_APPLICATION_CONTEXT)%"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=253'
languages:
  -
    title: Master (not visible)
    enabled: false
    languageId: 0
    base: /master/
    typo3Language: en
    locale: en_US.utf8
    navigationTitle: English
    hreflang: en
    direction: ltr
    fallbackType: free
    flag: global
    pimProductCategoryStoragePid: 1662
    pimProductStoragePid: 257
    pimFaqStoragePid: 256
  -
    title: German
    enabled: true
    languageId: 1
    base: /de-de/
    locale: de_DE.utf8
    navigationTitle: German
    hreflang: de-DE
    direction: ltr
    fallbackType: free
    flag: de
    pimProductStoragePid: 257
  -
    title: French
    enabled: true
    languageId: 2
    base: /fr-fr/
    locale: fr_FR.utf8
    navigationTitle: French
    hreflang: fr-FR
    direction: ltr
    fallbackType: free
    flag: fr
    pimProductStoragePid: 134
  -
    title: Portuguese
    enabled: true
    languageId: 3
    base: /pt-pt/
    locale: pt_PT.utf8
    navigationTitle: Portuguese
    hreflang: pt-PT
    direction: ltr
    flag: pt
    fallbackType: free
    pimProductStoragePid: 746
  -
    title: Spanish
    enabled: true
    languageId: 4
    base: /es-es/
    locale: es_ES.utf8
    navigationTitle: Spanish
    hreflang: es-ES
    direction: ltr
    flag: es
    fallbackType: free
    pimProductStoragePid: 1836
  -
    title: Poland
    enabled: true
    languageId: 5
    base: /pl-pl/
    locale: pl_PL.utf8
    navigationTitle: Polish
    hreflang: pl-PL
    direction: ltr
    flag: pl
    fallbackType: free
    pimProductStoragePid: 1840
  -
    title: Netherlands
    enabled: true
    languageId: 6
    base: /nl-nl/
    locale: nl_NL.utf8
    navigationTitle: Netherlands
    hreflang: nl-NL
    direction: ltr
    flag: nl
    fallbackType: free
    pimProductStoragePid: 1838
  -
    title: Italian
    enabled: true
    languageId: 7
    base: /it-it/
    locale: it_IT.utf8
    navigationTitle: Italian
    hreflang: it-IT
    direction: ltr
    flag: it
    fallbackType: free
    pimProductStoragePid: 1837
  -
    title: Danish
    enabled: false
    languageId: 8
    base: /da-dk/
    locale: da_DK.utf8
    navigationTitle: Danish
    hreflang: da-DK
    direction: ltr
    flag: dk
    fallbackType: free
    pimProductStoragePid: 1899
  -
    title: Finnish
    enabled: false
    languageId: 9
    base: /fi-fi/
    locale: fi_FI.utf8
    navigationTitle: Finnish
    hreflang: fi-FI
    direction: ltr
    flag: fi
    fallbackType: free
    pimProductStoragePid: 1900
  -
    title: Czech
    enabled: false
    languageId: 10
    base: /cs-cz/
    locale: cs_CZ.utf8
    navigationTitle: Czech
    hreflang: cs-CZ
    direction: ltr
    flag: cz
    fallbackType: free
    pimProductStoragePid: 1902
  -
    title: Middle East Arabic
    enabled: false
    languageId: 11
    base: /ar-ar/
    locale: ar_SA.utf8
    navigationTitle: العربية
    hreflang: ar-SA
    direction: rtl
    flag: sa
    fallbackType: free
    pimProductStoragePid: 1901
  -
    title: Middle East Arabic English
    enabled: false
    languageId: 12
    base: /en-ar/
    locale: en_GB.utf8
    navigationTitle: English
    hreflang: en-GB
    direction: ltr
    flag: gb
    fallbackType: free
    fallbacks: '11'
    pimProductStoragePid: 1901
routeEnhancers:
  ProductDetail:
    limitToPages:
      - 227
websiteTitle: ''
